#
# spec file for package python-warlock
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-warlock
Version:        1.3.0
Release:        3.1
Summary:        Python object model built on top of JSON schema
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://github.com/bcwaldon/warlock
Source:         https://files.pythonhosted.org/packages/source/w/warlock/warlock-%{version}.tar.gz
BuildRequires:  %{python_module jsonpatch}
BuildRequires:  %{python_module jsonschema}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module six}
BuildRequires:  python-rpm-macros
Requires:       python-jsonpatch >= 0.7
Requires:       python-jsonschema >= 0.10
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%python_subpackages

%description
Build self-validating python objects using JSON schemas

%prep
%setup -q -n warlock-%{version}
sed -i "s|jsonschema>=0.7,<1|jsonschema>=0.7,<=1|" requirements.txt

%build
%python_build

%install
%python_install

%check
%python_exec setup.py test

%files %{python_files}
%defattr(-,root,root,-)
%doc README.md
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 mcepl@suse.com
- Remove superfluous devel dependency for noarch package
* Tue Nov 14 2017 dmueller@suse.com
- update to 1.3.0:
  * Allow resolver to be set in model
  * flake8 compliance
* Wed Aug 23 2017 tbechtold@suse.com
- convert to singlespec
* Tue Nov 15 2016 dmueller@suse.com
- update to 1.2.0
* Tue Sep 16 2014 tbechtold@suse.com
- update to version 1.1.0:
  * Bump version to 1.1.0
  * Merge pull request #12 from apevec/master
  * LICENSE.txt was missing in the source tarball
  * Merge pull request #11 from isethi/validation
  * Add description to exception messages
  * Add python3 support
- Add python-to as BuildRequires and Requires.
* Thu Oct 24 2013 speilicke@suse.com
- Require python-setuptools instead of distribute (upstreams merged)
* Wed Jul  3 2013 dmueller@suse.com
- update to 1.0.1:
  - drop allow-jsonschema-3.diff
* Sat Jun 22 2013 dmueller@suse.com
- add allow-jsonschema-3.diff
* Mon Apr 29 2013 dmueller@suse.com
- update to 1.0.0:
  * stable release
* Mon Feb 25 2013 saschpe@suse.de
- Allow jsonschema==1.0 too
* Fri Feb 22 2013 saschpe@suse.de
- Update to version 0.8.1:
  + Upstream provides no changelog
- LICENSE isn't part of upstream sources anymore
* Thu Nov 22 2012 saschpe@suse.de
- Update to version 0.6.0:
  + Upstream provides no changelog
* Thu Jul 26 2012 saschpe@suse.de
- Initial version
